Bug 1250082 - ipcalculator doesn't accept IPv6 addresses
ipcalculator doesn't accept IPv6 addresses
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ipcalculator (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: dualstack
  Show dependency treegraph
 
Reported: 2015-08-04 09:29 EDT by Nikos Mavrogiannopoulos
Modified: 2016-03-29 07:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 07:05:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2015-08-04 09:29:41 EDT
Description of problem:
ipcalculator doesn't accept IPv6 addresses. Given that IPv6 is already there, having tools to manipulate IP addresses without IPv6 support is an issue.


How reproducible:
$ ipcalculator ::1

Actual results:
INVALID ADDRESS: ::1


Expected results:
Information about the IPv6 address.

Additional info:
The fedora 23 ipcalc utility most likely deprecates that tool as it supports both IPv4 and IPv6 addresses.

$ ./ipcalc ::1
Full Address:	0000:0000:0000:0000:0000:0000:0000:0001
Address:	::1
Address space:	Loopback Address
Comment 1 Jakub Hrozek 2015-08-04 09:45:38 EDT
(In reply to Nikos Mavrogiannopoulos from comment #0)
> Additional info:
> The fedora 23 ipcalc utility most likely deprecates that tool as it supports
> both IPv4 and IPv6 addresses.
> 

I'm fine with deprecating ipcalculator. I haven't used it in ages and mostly maintain the package out of intertia.
Comment 2 Nikos Mavrogiannopoulos 2015-08-13 03:06:50 EDT
Ok, let's schedule that for f24 then. I'll add an obsoletes: ipcalculator in ipalc at rawhide.
Comment 3 Nikos Mavrogiannopoulos 2015-09-21 08:01:02 EDT
Done.
I added:
Obsoletes: ipcalculator < 0.41-20

Please make sure that there is no update (e.g., by deprecating the package), or let me know of the version number if that changes.
Comment 4 Nikos Mavrogiannopoulos 2015-10-12 05:59:44 EDT
I'm reopening as it is not yet retired in rawhide. Please close the bug once that package is retired in rawhide.
Comment 6 Fedora Admin XMLRPC Client 2015-11-05 04:10:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Jan Kurik 2016-02-24 08:31:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Mike McCune 2016-03-28 18:34:54 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.